Name:           ewsgateway
Version:        1.0
Release:        %mkrel 1
Summary:        EWS Gateway allows you to access the Embedded Web Server
Group:  	Printing
License:        Copyright by author and redistibution rights in COPYING
URL:            http://www.jspenguin.org/software/ewsgateway
Source0:        %{name}-%{version}.tar.xz
Requires:	tkinter, python-pyusb 


%description 
HP printers have good driver support on Linux, but some models, like the
LaserJet Pro P1102w, have no way to set up wireless access without connecting
via USB to a Windows or Mac system. HPLIP has a tool called hp-wificonfig,
but it does not work on the P1102w.

The USB EWS interface is simple: The printer has an extra interface with
class 255 (Vendor specific) and an interface name of "HP EWS". This interface
has two bulk endpoints: You write an HTTP request to one endpoint, and read
a response on the other. The gateway script only needs to provide a listening
TCP socket and determine the boundaries of the request and response. It only
accepts one connection at a time and does not support HTTP keep-alive. 

Run %{name} as ordinary user.

README file in /usr/share/doc/%{name}

%prep
%setup -q -n %{name}

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
install -D %{name}.py %{buildroot}%{_bindir}/

%__cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh
python /usr/bin/ewsgateway.py
EOF

chmod +x %{buildroot}%{_bindir}/%{name}

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}

%changelog
* Sun Jan 25 2015 MBantz <martin dot bantz at gmail dot com> 1.0-1pclos2015
- Created srpm for program
